- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# win_eventlog_entry – Write entries to Windows event logs

New in version 2.4.

- Synopsis

- Parameters

- Notes

- See Also

- Examples

- Status

## Synopsis

- Write log entries to a given event log from a specified source.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
category integer |  | A numeric task category associated with the category message file for the log source.
entry_type string | Choices: Error FailureAudit Information SuccessAudit Warning | Indicates the entry being written to the log is of a specific type.
event_id integer / required |  | The numeric event identifier for the entry. Value must be between 0 and 65535.
log string / required |  | Name of the event log to write an entry to.
message string / required |  | The message for the given log entry.
raw_data string |  | Binary data associated with the log entry. Value must be a comma-separated array of 8-bit unsigned integers (0 to 255).
source string / required |  | Name of the log source to indicate where the entry is from.

## Notes

Note

- This module will always report a change when writing an event entry.

## See Also

See also

win_eventlog – Manage Windows event logs

  The official documentation on the win_eventlog module.

## Examples

    - name: Write an entry to a Windows event log
      win_eventlog_entry:
        log: MyNewLog
        source: NewLogSource1
        event_id: 1234
        message: This is a test log entry.

    - name: Write another entry to a different Windows event log
      win_eventlog_entry:
        log: AnotherLog
        source: MyAppSource
        event_id: 5000
        message: An error has occurred.
        entry_type: Error
        category: 5
        raw_data: 10,20

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Andrew Saraceni (@andrewsaraceni)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.